From b710bc79bd105e215dbefe7624d919abe03556a3 Mon Sep 17 00:00:00 2001
From: Lars Ellenberg <lars.ellenberg@linbit.com>
Date: Wed, 3 Mar 2010 02:44:11 +0100
Subject: [PATCH 10/16] add missing drbd command names to avoid <NULL> in error messages

cmdname() should map command number to its human readable
representation. The string table was incomplete, though.

Maybe rather do a switch() block, and let the compiler help us
to keep it complete?
---
 drbd/drbd_int.h |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

diff --git a/drbd/drbd_int.h b/drbd/drbd_int.h
index d0bf35c..c8b810d 100644
--- a/drbd/drbd_int.h
+++ b/drbd/drbd_int.h
@@ -404,6 +404,9 @@ static inline const char *cmdname(enum drbd_packets cmd)
 		[P_OV_REQUEST]          = "OVRequest",
 		[P_OV_REPLY]            = "OVReply",
 		[P_OV_RESULT]           = "OVResult",
+		[P_CSUM_RS_REQUEST]     = "CsumRSRequest",
+		[P_RS_IS_IN_SYNC]	= "CsumRSIsInSync",
+		[P_COMPRESSED_BITMAP]   = "CBitmap",
 		[P_MAX_CMD]	        = NULL,
 	};
 
-- 
1.6.3.3

